Package nu.xom.canonical

# Class CanonicalizationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
nu.xom.canonical.CanonicalizationException

All Implemented Interfaces:
  `Serializable`

public class CanonicalizationException extends RuntimeException

Indicates problems with canonicalization.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CanonicalizationException(String message)`
Creates a new `CanonicalizationException` with a detail message.

## Method Summary

Modifier and Type
Method
Description
`final Throwable`
`getCause()`
Return the original cause that led to this exception, or null if there was no original exception.
`final Throwable`
`initCause(Throwable cause)`
Sets the root cause of this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CanonicalizationException

public CanonicalizationException(String message)

Creates a new `CanonicalizationException` with a detail message.

Parameters:
  `message` - a string indicating the specific problem

## Method Details

### getCause

public final Throwable getCause()

Return the original cause that led to this exception, or null if there was no original exception.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the root cause of this exception

### initCause

public final Throwable initCause(Throwable cause)

Sets the root cause of this exception. This may only be called once. Subsequent calls throw an `IllegalStateException`.

This method is unnecessary in Java 1.4 where it could easily be inherited from the superclass. However, including it here allows this method to be used in Java 1.3 and earlier.

Overrides:
  `initCause` in class `Throwable`
Parameters:
  `cause` - the root cause of this exception
Returns:
  this `XMLException`
Throws:
  `IllegalArgumentException` - if the cause is this exception (An exception cannot be its own cause.)
  `IllegalStateException` - if this method is called twice